# Attributes

The following fields are currently available:

| Field Key                   | Description                                                                                                                    | Notes                                                                                                                                                      |
| --------------------------- | ------------------------------------------------------------------------------------------------------------------------------ | ---------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `latest_action`             | A dictionary consisting of the keys 'action' describing the latest action as a string and 'date' in isoformat.                 |                                                                                                                                                            |
| `dissolution_date`          | Date the company was dissolved if applicable.                                                                                  |                                                                                                                                                            |
| `website`                   | Company website URL if known.                                                                                                  |                                                                                                                                                            |
| `name`                      | The name we have for this business.                                                                                            |                                                                                                                                                            |
| `dissolution_status`        | For companies that have been dissolved, their exact status.                                                                    | See [Appendix 1](/appendix/dissolution-status-codes.md) for possible values.                                                                               |
| `company_type`              | A description of the company type, such as private limited company; public limited company, limited liability partnership etc. |                                                                                                                                                            |
| `company_number`            | The Companies House identification number for the company.                                                                     |                                                                                                                                                            |
| `company_aims`              | Description of the sims of the company.                                                                                        |                                                                                                                                                            |
| `legal_status`              | Detailed legal status of the company.                                                                                          |                                                                                                                                                            |
| `rfa_rating`                | The Red Flag Alert credit rating currently assigned to this company                                                            | A JSON object containing the fields: `health_rating_code`, `credit_limit`, `short_code`, `trading_payment_parity`, `short_description`, `long_description` |
| `tps_registered`            | Boolean value showing if the company has registered with the Telephone Preference Service.                                     |                                                                                                                                                            |
| `auditor`                   | Name of the company's auditor, if any.                                                                                         |                                                                                                                                                            |
| `incorporation_date`        | The date of first registration of the Company at Companies House.                                                              |                                                                                                                                                            |
| `sic_codes`                 | Array of SIC codes for this company                                                                                            |                                                                                                                                                            |
| `sic_groups`                | Array of SIC groups for this company                                                                                           |                                                                                                                                                            |
| `sic_group_descriptions`    | Array of SIC group descriptions for this company                                                                               |                                                                                                                                                            |
| `sic_divisions`             | Array of SIC divisions for this company                                                                                        |                                                                                                                                                            |
| `sic_division_descriptions` | Array of SIC division descriptions for this company                                                                            |                                                                                                                                                            |
| `sic_classes`               | Array of SIC classes for this company                                                                                          |                                                                                                                                                            |
| `sic_class_descriptions`    | Array of SIC class descriptions for this company                                                                               |                                                                                                                                                            |
| `sic_sub_classes`           | Array of SIC sub-classes for this company                                                                                      |                                                                                                                                                            |
| `sic_sections`              | Array of SIC sections for this company                                                                                         |                                                                                                                                                            |
| `sic_sections_descriptions` | Array of SIC section descriptions for this company                                                                             |                                                                                                                                                            |
| `vat_number`                | EU formatted tax number if registered for VAT                                                                                  |                                                                                                                                                            |
| `parent_company_number`     |                                                                                                                                |                                                                                                                                                            |
| `employees`                 | If available, number of actual employees                                                                                       |                                                                                                                                                            |
| `estimated_employees`       | If available, estimated number of employees                                                                                    |                                                                                                                                                            |
| `estimated_turnover`        | If available, estimated turnover                                                                                               |                                                                                                                                                            |
| `start_date_year`           |                                                                                                                                | (non limited only)                                                                                                                                         |
| `gdpr`                      |                                                                                                                                |                                                                                                                                                            |
| `creditor_days`             | Average time it takes a business to settle its debts with trade suppliers                                                      |                                                                                                                                                            |
| `group_id`                  |                                                                                                                                |                                                                                                                                                            |
| `type`                      | Currently, always ‘company’.                                                                                                   | This is required by the JSONAPI format.                                                                                                                    |
| `id`                        | Unique identifier for this business,                                                                                           | For registered companies this will be the Companies House number; for others it will be a unique identifier.                                               |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.redflagalert.net/company/attributes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
